<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- forms\user_framework\bulk_relate_summary.jsp -->
<%@ taglib prefix="change" uri="http://www.telelogic.com/change" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<html>
<head>
	<title>
		<change:resource key='productName'/>
	</title>
	
	<style type="text/css">

<change:wsletExpander>	
	<!-- WSLET CODE=PTInclude -->
	<!-- PARAM NAME=styles/default.css -->
	<!-- /WSLET -->
</change:wsletExpander>

TABLE.errorSection TH
{
	font-weight: normal;
}

TABLE.errorSection TH
{
	font-weight: normal;
}

TABLE.errorSection TD
{
	background-color: rgb(252, 252, 252);
}

SPAN.total
{
	font-weight: bold;
}

P, UL
{
	margin-top: .5em;
	margin-bottom: .5em;
}

P
{
	margin-left: 4px;
}

DIV.success-section
{
	padding: 2px 4px;
	border: solid white 1px;
}

	</style>
	
	<script type="text/javascript">

<change:wsletExpander>	
	<!-- WSLET CODE=PTInclude -->
	<!-- PARAM NAME=toggleSection.js -->
	<!-- /WSLET -->
</change:wsletExpander>

	</script>
	
</head>
<body>
	
	<table width="100%" class="barHeading">
	<tr>
		<th>
			<change:resource key="bulkRelateSummaryTitle"/>
		</th>
	</tr>
	</table>
	
	<c:if test="${bulkSummary.numberSuccessful > 0}">
		<div class="success-section">
			<img src="<change:urlCreator webResource="PTIMAGES"/>ws_successicon_sm.gif" style="vertical-align: middle;">
			<c:choose>
				<c:when test="${bulkSummary.numberSuccessful == 1}">
					<change:resource key="bulkSuccessfulRelations1"/>
				</c:when>
				<c:otherwise>
					<change:resource key="bulkSuccessfulRelationsX">
						<change:param value="${bulkSummary.numberSuccessful}"/>
					</change:resource>				
				</c:otherwise>
			</c:choose>		
		</div>
	</c:if>
	
	<c:if test="${bulkSummary.numberFailed > 0}">
		<table class="section errorSection" width="100%">
		<thead onclick="toggleSection(this);">
			<tr>
				<th>
					<img src="<change:urlCreator webResource="PTIMAGES"/>ws_erroricon_sm.gif" style="vertical-align: middle;">
					<c:choose>
						<c:when test="${bulkSummary.numberFailed == 1}">
							<change:resource key="bulkFailedRelations1"/>
						</c:when>
						<c:otherwise>
							<change:resource key="bulkFailedRelationsX">
								<change:param value="${bulkSummary.numberFailed}"/>
							</change:resource>				
						</c:otherwise>
					</c:choose>
					
				</th>
				<th style="text-align: right;">
					<img src="<change:urlCreator webResource="PTIMAGES"/>down_chevron.gif" border="0" style="margin: 0px 7px 0px 1px;">
				</th>
			</tr>
		</thead>
		<tbody style="display: none;">
		<tr>
			<td colspan="2" style="padding: 7px;">
				<p>
					<change:resource key="bulkModifyErrorExplanation"/>
				</p>
				
				<ul>
				<c:forEach var="bulkRelateFailure" items="${bulkSummary.failed}" >
					<li>
						<change:linkCreator cvid="${bulkRelateFailure.cvid}" crid="${bulkRelateFailure.crid}" database="${user.database}" 
							type="CR_SHOW" text="${bulkRelateFailure.crid}"/> : <c:out value="${bulkRelateFailure.errorMessage}"/>
					</li>		
				</c:forEach>
				</ul>
			</td>
		</tr>
		</tbody>
		</table>
	</c:if>
	
	<hr>
	
	<span class="total">
		<c:choose>
			<c:when test="${bulkSummary.totalProcessed == 1}">
				<change:resource key="bulkCrsProcessed1"/>
			</c:when>
			<c:otherwise>
				<change:resource key="bulkCrsProcessedX">
					<change:param value="${bulkSummary.totalProcessed}"/>
				</change:resource>				
			</c:otherwise>
		</c:choose>
	</span>
	
</body>
</html>
